Skip to main content
Queries

Execute a script query.

This method requires the Queries:ExecuteScript permission to be associated with the role.

POST
/gb/queries/execute-script/{query_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
query_idstringrequired

SQL query to run

Time-Zonestringheaderdefault:UTC

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

application/x-www-form-urlencoded
asynchronous_flagenum<string>default:no

(Optional) Execute the script asynchronously

Available options: yes, no
callback_urlstring

(Optional) Callback URL to receive execute status notification

maximum_execution_time_secondsintegerdefault:10800

(Optional) Maximum execution time in seconds

Response

application/vnd.catch-e-api.v1+json

Success

Execute script job has been dispatched for background execution. A request id is returned for progress monitoring.

execute_script_request_idstring
Example: 0eb06f50-4210-4ed2-9723-2c2e24df4670